Index: trunk/src/org/openstreetmap/josm/data/osm/history/History.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/osm/history/History.java	(revision 6623)
+++ trunk/src/org/openstreetmap/josm/data/osm/history/History.java	(revision 6830)
@@ -43,8 +43,8 @@
      * Creates a new history for an OSM primitive
      *
-     * @param id the id. >0 required.
+     * @param id the id. &gt; 0 required.
      * @param type the primitive type. Must not be null.
      * @param versions a list of versions. Can be null.
-     * @throws IllegalArgumentException thrown if id <= 0
+     * @throws IllegalArgumentException thrown if id &lt;= 0
      * @throws IllegalArgumentException if type is null
      *
Index: trunk/src/org/openstreetmap/josm/data/osm/history/HistoryDataSet.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/osm/history/HistoryDataSet.java	(revision 6623)
+++ trunk/src/org/openstreetmap/josm/data/osm/history/HistoryDataSet.java	(revision 6830)
@@ -83,7 +83,7 @@
      * and version <code>version</code>. null, if no such primitive exists.
      *
-     * @param id the id of the primitive. > 0 required.
+     * @param id the id of the primitive. &gt; 0 required.
      * @param type the primitive type. Must not be null.
-     * @param version the version of the primitive. > 0 required
+     * @param version the version of the primitive. &gt; 0 required
      * @return the history primitive for the primitive with id <code>id</code>,
      * type <code>type</code>, and version <code>version</code>
@@ -135,9 +135,9 @@
      * and type <code>type</code>.
      *
-     * @param id the id the if of the primitive. > 0 required
+     * @param id the id the if of the primitive. &gt; 0 required
      * @param type the type of the primitive. Must not be null.
      * @return the history. null, if there isn't a history for <code>id</code> and
      * <code>type</code>.
-     * @throws IllegalArgumentException thrown if id <= 0
+     * @throws IllegalArgumentException thrown if id &lt;= 0
      * @throws IllegalArgumentException thrown if type is null
      */
Index: trunk/src/org/openstreetmap/josm/data/osm/history/HistoryNode.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/osm/history/HistoryNode.java	(revision 6623)
+++ trunk/src/org/openstreetmap/josm/data/osm/history/HistoryNode.java	(revision 6830)
@@ -22,10 +22,10 @@
      * Constructs a new {@code HistoryNode}.
      *
-     * @param id the id (> 0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the node is still visible
-     * @param user the user (! null required)
-     * @param changesetId the changeset id (> 0 required)
-     * @param timestamp the timestamp (! null required)
+     * @param user the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required)
+     * @param timestamp the timestamp (!= null required)
      * @param coords the coordinates
      * @throws IllegalArgumentException if preconditions are violated
@@ -39,10 +39,10 @@
      * This is needed to build virtual HistoryNodes for modified nodes, which do not have a timestamp and a changeset id.
      *
-     * @param id the id (> 0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the node is still visible
-     * @param user the user (! null required)
-     * @param changesetId the changeset id (> 0 required if {@code checkHistoricParams} is true)
-     * @param timestamp the timestamp (! null required if {@code checkHistoricParams} is true)
+     * @param user the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required if {@code checkHistoricParams} is true)
+     * @param timestamp the timestamp (!= null required if {@code checkHistoricParams} is true)
      * @param coords the coordinates
      * @param checkHistoricParams if true, checks values of {@code changesetId} and {@code timestamp}
Index: trunk/src/org/openstreetmap/josm/data/osm/history/HistoryOsmPrimitive.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/osm/history/HistoryOsmPrimitive.java	(revision 6623)
+++ trunk/src/org/openstreetmap/josm/data/osm/history/HistoryOsmPrimitive.java	(revision 6830)
@@ -47,10 +47,10 @@
      * Constructs a new {@code HistoryOsmPrimitive}.
      *
-     * @param id the id (> 0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the primitive is still visible
-     * @param user the user (! null required)
-     * @param changesetId the changeset id (> 0 required)
-     * @param timestamp the timestamp (! null required)
+     * @param user the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required)
+     * @param timestamp the timestamp (!= null required)
      *
      * @throws IllegalArgumentException if preconditions are violated
@@ -64,10 +64,10 @@
      * This is needed to build virtual HistoryOsmPrimitives for modified primitives, which do not have a timestamp and a changeset id.
      *
-     * @param id the id (> 0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the primitive is still visible
-     * @param user the user (! null required)
-     * @param changesetId the changeset id (> 0 required if {@code checkHistoricParams} is true)
-     * @param timestamp the timestamp (! null required if {@code checkHistoricParams} is true)
+     * @param user the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required if {@code checkHistoricParams} is true)
+     * @param timestamp the timestamp (!= null required if {@code checkHistoricParams} is true)
      * @param checkHistoricParams if true, checks values of {@code changesetId} and {@code timestamp}
      *
Index: trunk/src/org/openstreetmap/josm/data/osm/history/HistoryRelation.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/osm/history/HistoryRelation.java	(revision 6623)
+++ trunk/src/org/openstreetmap/josm/data/osm/history/HistoryRelation.java	(revision 6830)
@@ -26,10 +26,10 @@
      * constructor
      *
-     * @param id the id (>0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the primitive is still visible
-     * @param user  the user (! null required)
-     * @param changesetId the changeset id (> 0 required)
-     * @param timestamp the timestamp (! null required)
+     * @param user  the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required)
+     * @param timestamp the timestamp (!= null required)
      *
      * @throws IllegalArgumentException if preconditions are violated
@@ -42,10 +42,10 @@
      * constructor
      *
-     * @param id the id (>0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the primitive is still visible
-     * @param user  the user (! null required)
-     * @param changesetId the changeset id (> 0 required if {@code checkHistoricParams} is true)
-     * @param timestamp the timestamp (! null required if {@code checkHistoricParams} is true)
+     * @param user  the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required if {@code checkHistoricParams} is true)
+     * @param timestamp the timestamp (!= null required if {@code checkHistoricParams} is true)
      * @param checkHistoricParams If true, checks values of {@code changesetId} and {@code timestamp}
      *
@@ -60,10 +60,10 @@
      * constructor
      *
-     * @param id the id (>0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the primitive is still visible
-     * @param user  the user (! null required)
-     * @param changesetId the changeset id (> 0 required)
-     * @param timestamp the timestamp (! null required)
+     * @param user  the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required)
+     * @param timestamp the timestamp (!= null required)
      * @param members list of members for this relation
      *
Index: trunk/src/org/openstreetmap/josm/data/osm/history/HistoryWay.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/osm/history/HistoryWay.java	(revision 6623)
+++ trunk/src/org/openstreetmap/josm/data/osm/history/HistoryWay.java	(revision 6830)
@@ -26,10 +26,10 @@
      * Constructs a new {@code HistoryWay}.
      *
-     * @param id the id (> 0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the node is still visible
-     * @param user the user (! null required)
-     * @param changesetId the changeset id (> 0 required if {@code checkHistoricParams} is true)
-     * @param timestamp the timestamp (! null required if {@code checkHistoricParams} is true)
+     * @param user the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required if {@code checkHistoricParams} is true)
+     * @param timestamp the timestamp (!= null required if {@code checkHistoricParams} is true)
      * @throws IllegalArgumentException if preconditions are violated
      */
@@ -42,10 +42,10 @@
      * This is needed to build virtual HistoryWays for modified ways, which do not have a timestamp and a changeset id.
      *
-     * @param id the id (> 0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the node is still visible
-     * @param user the user (! null required)
-     * @param changesetId the changeset id (> 0 required if {@code checkHistoricParams} is true)
-     * @param timestamp the timestamp (! null required if {@code checkHistoricParams} is true)
+     * @param user the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required if {@code checkHistoricParams} is true)
+     * @param timestamp the timestamp (!= null required if {@code checkHistoricParams} is true)
      * @param checkHistoricParams if true, checks values of {@code changesetId} and {@code timestamp}
      * @throws IllegalArgumentException if preconditions are violated
@@ -59,11 +59,11 @@
      * Constructs a new {@code HistoryWay} with a given list of node ids.
      *
-     * @param id the id (> 0 required)
-     * @param version the version (> 0 required)
+     * @param id the id (&gt; 0 required)
+     * @param version the version (&gt; 0 required)
      * @param visible whether the node is still visible
-     * @param user the user (! null required)
-     * @param changesetId the changeset id (> 0 required if {@code checkHistoricParams} is true)
-     * @param timestamp the timestamp (! null required if {@code checkHistoricParams} is true)
-     * @param nodeIdList the node ids (! null required)
+     * @param user the user (!= null required)
+     * @param changesetId the changeset id (&gt; 0 required if {@code checkHistoricParams} is true)
+     * @param timestamp the timestamp (!= null required if {@code checkHistoricParams} is true)
+     * @param nodeIdList the node ids (!= null required)
      * @throws IllegalArgumentException if preconditions are violated
      */
@@ -95,5 +95,5 @@
      * @param idx the index
      * @return the idx-th node id
-     * @exception IndexOutOfBoundsException thrown, if  idx <0 || idx >= {#see {@link #getNumNodes()}
+     * @exception IndexOutOfBoundsException thrown, if  idx &lt; 0 || idx &gt;= {#see {@link #getNumNodes()}
      */
     public long getNodeId(int idx) throws IndexOutOfBoundsException {
